<app-header></app-header>
<mat-drawer-container class="example-container" autosize>
  <div class="example-sidenav-content">
    <app-titlemodule class="divtitle" [title] = title [route] = route></app-titlemodule>
    <div class="container-fluid float-right col-12 col-qpad divtop">
      <app-button *ngIf="!banperm" [banctrl]="[false ,false, false, false, false, true]" [opcion] = 1 [modulo]="modulo" ></app-button>
    </div>
    <div *ngIf="pageService.dataSource.length > 0" class="container-fluid d-flex justify-content-between p-2 d-block d-lg-none d-md-nonek">

      <mat-paginator [length]="collectionSize" (page)="pageService.actualizaTabla2(dataGlobal, $event);"
            [pageSize]="pageService.pageSize"
            [pageSizeOptions]="pageService.pageSizeOptions">
      </mat-paginator>

    </div>
    <div *ngIf="!banperm && pageService.dataSource.length > 0" class="container-fluid float-left div-table col-12" style="text-align: right;">
      <mat-form-field style="width: 350px;">
        <input matInput (keyup)="applyFilter()" placeholder="Búsqueda por nombres o apellidos" [(ngModel)]="search">
        <span matPrefix><i class="fa fa-search text-info"></i> &nbsp;</span>
      </mat-form-field>
    </div>

    <div *ngIf="!banperm" class="container-fluid float-left div-table col-12" >
      <div class="d-none d-lg-block d-md-block">
        <table class="table table-fixed font-comp table-style">
          <thead>
          <tr>
            <th class="col-25 col-l" scope="col"></th>
            <th class="col-l col-180" scope="col">APELLIDO y NOMBRES</th>
            <th class="col-50 col-l" scope="col">FECHA NAC.</th>
            <th class="col-l col-100" scope="col">EMAIL</th>
            <th class="col-l col-25" scope="col">TELÉEFONO/MÓVIL</th>
            <th class="col-l col-50" scope="col">SEXO</th>
            <th class="col-l col-50" scope="col">CLASIFICACIÓN</th>
            <th class="col-l col-w" scope="col">FAMILIA</th>
            <th class="col-l col-25" scope="col">MEMBRESÍA</th>

          </tr>
          </thead>
          <tbody>
          <tr *ngFor="let regist of pageService.dataSource">

            <th scope="row" class="col-25 col-c">
              <a *ngIf="regist.activo == 1" class="btn btn-sm btn-danger" matTooltip="Eliminar registro" (click)="eliminarmiembro(regist.id, 0)" style="margin-right: 10px;"><i class="fa fa-times"></i></a>
              <a *ngIf="regist.activo == 0" class="btn btn-sm btn-success" matTooltip="Habilitar registro" (click)="eliminarmiembro(regist.id, 1)" style="margin-right: 10px;"><i class="fa fa-check" style="font-size:0.8em"></i></a>
              <a  class="btn btn-sm btn-dark" matTooltip="Editar registro" (click)="editarmiembro(regist.id)"><i class="fa fa-edit"></i></a>&nbsp;

            </th>
            <td class="col-l col-180">{{regist.apellidopaterno}} {{regist.apellidomaterno}}, {{regist.nombres}}</td>
            <td class="col-50 col-c">{{ regist.fechanacimiento | date:'dd-MM-yyyy' }}</td>
            <td class="col-l col-100">{{ regist.email }}</td>
            <td class="col-l col-25">{{ regist.telefono1 }}{{ regist.telefono2 ? ' | ' + regist.telefono2  : '' }}</td>
            <td class="col-l col-50">{{ regist.sexo == 1 ? 'MASCULINO' : 'FEMENINO' }}</td>
            <td class="col-l col-50">{{ regist.clasificacionedad }}</td>
            <td class="col-l col-w">{{regist.familia}}</td>
            <td class="col-c"><i matTooltip="{{ regist.miembro == 1 ? 'Si' : 'No' }} tiene membresía." class="fa fa-{{ regist.miembro == 1 ? 'check' : 'times' }} text-{{ regist.miembro == 1 ? 'success' : 'danger' }}"></i></td>
          </tr>
          <tr *ngIf="pageService.dataSource.length == 0" class="col-l cel-ie">
            <th colspan="9">No hay registros de personas</th>
          </tr>
          </tbody>
          <tfoot>
            <tr >
              <td colspan="9" class="col-r"><b>{{ dataGlobal.length | number }} registros</b></td>
            </tr>
          </tfoot>
        </table>
      </div>
      <div class="d-block d-lg-none d-md-none">
        <table class="font-comp table-style">
            <div class="col-12" style="padding-right: 0px;" *ngFor="let regist of pageService.dataSource">
                <div class="card bg-c-dark order-card">
                    <div class="card-block">
                        <h6 class="m-b-20">{{ regist.nombres }} {{ regist.apellidopaterno }} {{ regist.apellidomaterno }}</h6>
                        <h2><i matTooltip="Membresía" class="fa fa-user f-left text-info"></i>&nbsp;<i matTooltip="{{ regist.miembro == 1 ? 'Si' : 'No' }} tiene membresía." class="fa fa-{{ regist.miembro == 1 ? 'check' : 'times' }} text-{{ regist.miembro == 1 ? 'success' : 'danger' }}"></i>
                          <span class="f-right">
                          <a *ngIf="regist.activo == 1" class="btn btn-xs btn-danger" matTooltip="Eliminar registro" (click)="eliminarmiembro(regist.id, 0)" style="margin-right: 10px;"><i class="fa fa-times"></i></a>
                          <a *ngIf="regist.activo == 0" class="btn btn-xs btn-success" matTooltip="Habilitar registro" (click)="eliminarmiembro(regist.id, 1)" style="margin-right: 10px;"><i class="fa fa-check" style="font-size:0.8em"></i></a>
                          <a  class="btn btn-xs btn-dark" matTooltip="Editar registro" (click)="editarmiembro(regist.id)"><i class="fa fa-edit"></i></a>&nbsp;

                          </span></h2>
                        <p class="m-b-0">Familia<span class="f-right">{{ regist.familia ? regist.familia : '-' }}</span></p>
                        <p class="m-b-0">Sexo<span class="f-right">{{ regist.sexo == 1 ? 'Masculino' : 'Femenino' }}</span></p>
                        <p class="m-b-0">Clasificación Edad<span class="f-right">{{ regist.clasificacionedad ? regist.clasificacionedad : '-'}}</span></p>
                        <p class="m-b-0">Fecha Nacimiento<span class="f-right">{{ regist.fechanacimiento ? (regist.fechanacimiento | date:'dd-MM-yyyy') : '-' }}</span></p>
                        <p class="m-b-0">Email<span class="f-right">{{ regist.email ? regist.email : '-' }}</span></p>
                        <p class="m-b-0">Teléfono/móvil<span class="f-right">{{ regist.telefono1 ? regist.telefono1 : '-'}} {{ regist.telefono2 ? '|' + regist.telefono2 : ''}}</span></p>
                        <p class="f-right">

                        </p>
                    </div>
                </div>
            </div>
            <tbody>
              <tr>
                <th *ngIf="pageService.dataSource.length == 0" class="col-l" style="padding: 10px 0px;">
                  No hay registros de personas
                </th>
              </tr>
            </tbody>
        </table>
      </div>

    </div>
    <div *ngIf="!banperm && pageService.dataSource.length > 0" class="container-fluid d-flex justify-content-between p-2">

      <mat-paginator [length]="collectionSize" (page)="pageService.actualizaTabla2(dataGlobal, $event);"
            [pageSize]="pageService.pageSize"
            [pageSizeOptions]="pageService.pageSizeOptions">
      </mat-paginator>

    </div>

  </div>
  <mat-drawer #drawer class="example-sidenav" >
    <app-menu></app-menu>
  </mat-drawer>
  <!-- <app-registro></app-registro> -->
</mat-drawer-container>




